Summary: AucTeX mode for Emacs
%define name auctex
Name: %{name}
%define version 9.9p
Version: %{version}
Release: 1
Copyright: GPL
Group: Applications/Editors
URL: http://sunsite.auc.dk/auctex
Source0: ftp://sunsite.auc.dk/packages/auctex/%{name}.tar.gz
Source1: %{name}-init.el
Requires: emacs
Prereq: /sbin/install-info
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-root

%description
This module provides better TeX modes for Emacs.

%prep
%setup -q

%build

make

cd doc
make

gzip -9 auc-tex.dvi math-ref.dvi tex-ref.dvi

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/%{name} $RPM_BUILD_ROOT/usr/info
make lispdir=$RPM_BUILD_ROOT/usr/share/emacs/site-lisp install
make infodir=$RPM_BUILD_ROOT/usr/info install-info

gzip -9 $RPM_BUILD_ROOT/usr/info/auctex*

sed -e "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/tex-site.el \
	>$RPM_BUILD_ROOT/usr/share/emacs/site-lisp/%{name}/tex-site.el

install -m 0644 $RPM_SOURCE_DIR/%{name}-init.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/%{name}

%post
/sbin/install-info /usr/info/auctex.gz /usr/info/dir \
                   --section="GNU Emacs" \
                   --entry="* AUCTeX: (auctex).     A much enhanced LaTeX mode for GNU Emacs."

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/auctex.gz /usr/info/dir
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES COPYING ChangeLog PROBLEMS README doc/auc-tex.dvi.gz doc/math-ref.dvi.gz doc/tex-ref.dvi.gz
%dir /usr/share/emacs/site-lisp/%{name}
/usr/share/emacs/site-lisp/%{name}/*
/usr/info/*
